# $Revision: 1.32 $, $Date: 2010/08/21 19:08:13 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	FTP
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}
%define		subver	a2
%define		rel		2
Summary:	%{_pearname} - comfortable communication with FTP-servers
Summary(pl.UTF-8):	%{_pearname} - komfortowa komunikacja z serwerami FTP
Name:		php-pear-%{_pearname}
Version:	1.4.0
Release:	0.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	3296b0ce4e2042cd29d7e60af1293e3a
URL:		http://pear.php.net/package/Net_FTP/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-ftp
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class allows you to communicate with FTP-servers more comfortable
that the ftp-functions of PHP. Especially you can up- and download
recursively.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa ta pozwala na bardziej komfortowa komunikację z serwerami FTP
niż jest to realizowane przez funkcje w PHP. Szczególnie łatwy jest
down- i upload rekursywny.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

mv ./%{php_pear_dir}/data/Net_FTP/CHANGELOG .

mv docs/%{_pearname}/example examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log CHANGELOG
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%{_examplesdir}/%{name}-%{version}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/%{_pearname}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_FTP.spec,v $
Revision 1.32  2010/08/21 19:08:13  glen
- updated deps with pearize.sh
- release 2

Revision 1.31  2010/08/19 14:04:27  glen
- up to 1.4.0a2

Revision 1.30  2008/06/19 21:07:19  adamg
- updated to 1.3.7

Revision 1.29  2008-05-17 19:22:53  adamg
- updated to 1.3.6

Revision 1.28  2008-02-04 20:18:08  glen
- package changelog in %doc

Revision 1.27  2008-01-31 12:16:08  glen
- rel 2

Revision 1.26  2007-12-06 23:42:18  adamg
- updated to 1.3.3

Revision 1.25  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.23  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.22  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.21  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.20  2006/02/16 18:22:02  glen
- 1.3.2

Revision 1.19  2005/11/20 16:26:25  glen
- rel 3

Revision 1.18  2005/10/05 20:59:19  glen
- rel 2

Revision 1.17  2005/09/19 21:43:40  glen
- integer BR

Revision 1.16  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.15.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.15.2.1  2005/09/18 19:26:05  glen
- use php-pear-build

Revision 1.15  2005/04/08 16:53:07  adamg
- updated to 1.3.1

Revision 1.14  2005/03/26 18:43:15  adamg
- updated to 1.3.0

Revision 1.13  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.12  2004/03/22 11:48:22  adamg
- updated to 1.3.0beta2
- status changed to beta

Revision 1.11  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.10  2004/03/14 15:44:58  adamg
- updated to 1.3.0beta1

Revision 1.9  2003/10/07 19:28:21  adamg
- URL unification

Revision 1.8  2003/09/29 16:03:50  adamg
- updated to 1.2

Revision 1.7  2003/07/22 19:23:25  adamg
- updated to 1.1

Revision 1.6  2003/07/16 09:39:11  adamg
- updated to 1.0 (stable)

Revision 1.5  2003/06/14 09:23:40  adamg
- cosmetics

Revision 1.4  2003/05/28 08:58:44  adamg
- massive attack: added source0-md5

Revision 1.3  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/23 14:17:11  blues
- 0.9 - status changed to beta, STBR to Ra updates general

Revision 1.1  2003/01/02 02:16:59  blues
- initial release - early alpha class
